> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Scholar Author Profile

> Get a full Google Scholar author profile including articles, citation stats, and co-authors.



## OpenAPI

````yaml GET /v1/google/scholar/author
openapi: 3.1.0
info:
  title: ScrapeBadger Google Scraper
  description: >-
    Dedicated API for scraping Google products (SERP, Maps, News, Hotels,
    Trends, Jobs, Shopping, Patents, Scholar, Autocomplete, Images, Videos,
    Finance, AI Mode, Lens, Products).
  version: 1.0.0
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/google/scholar/author:
    get:
      tags:
        - Google Scholar
      summary: Get Google Scholar author profile
      description: >-
        Get detailed Google Scholar author profile including articles, stats,
        and co-authors.
      operationId: scholar_author_api_v1_scholar_author_get
      parameters:
        - name: author_id
          in: query
          required: true
          schema:
            type: string
            description: Scholar user ID (the `user` query parameter)
            title: Author Id
          description: Scholar user ID (the `user` query parameter)
        - name: hl
          in: query
          required: false
          schema:
            type: string
            description: Language code
            default: en
            title: Hl
          description: Language code
        - name: cstart
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Articles pagination offset
            default: 0
            title: Cstart
          description: Articles pagination offset
        - name: pagesize
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Articles per page
            default: 20
            title: Pagesize
          description: Articles per page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScholarAuthorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ScholarAuthorResponse:
      properties:
        author:
          $ref: '#/components/schemas/ScholarAuthorInfo'
        articles:
          items:
            $ref: '#/components/schemas/ScholarAuthorArticle'
          type: array
          title: Articles
        stats:
          anyOf:
            - $ref: '#/components/schemas/ScholarAuthorStats'
            - type: 'null'
        co_authors:
          items:
            $ref: '#/components/schemas/ScholarCoAuthor'
          type: array
          title: Co Authors
      type: object
      required:
        - author
      title: ScholarAuthorResponse
      description: Response for GET /api/v1/scholar/author.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ScholarAuthorInfo:
      properties:
        author_id:
          type: string
          title: Author Id
        name:
          type: string
          title: Name
        affiliations:
          items:
            type: string
          type: array
          title: Affiliations
        email_domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Email Domain
        interests:
          items:
            type: string
          type: array
          title: Interests
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail
        homepage:
          anyOf:
            - type: string
            - type: 'null'
          title: Homepage
      type: object
      required:
        - author_id
        - name
      title: ScholarAuthorInfo
      description: Header block of a Scholar author profile page.
    ScholarAuthorArticle:
      properties:
        title:
          type: string
          title: Title
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
        authors:
          anyOf:
            - type: string
            - type: 'null'
          title: Authors
        publication:
          anyOf:
            - type: string
            - type: 'null'
          title: Publication
        cited_by_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cited By Count
        cited_by_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Cited By Link
        year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Year
      type: object
      required:
        - title
      title: ScholarAuthorArticle
      description: One article row from the author profile's publication list.
    ScholarAuthorStats:
      properties:
        citations_all:
          anyOf:
            - type: integer
            - type: 'null'
          title: Citations All
        citations_since_year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Citations Since Year
        h_index_all:
          anyOf:
            - type: integer
            - type: 'null'
          title: H Index All
        h_index_since_year:
          anyOf:
            - type: integer
            - type: 'null'
          title: H Index Since Year
        i10_index_all:
          anyOf:
            - type: integer
            - type: 'null'
          title: I10 Index All
        i10_index_since_year:
          anyOf:
            - type: integer
            - type: 'null'
          title: I10 Index Since Year
        since_year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Since Year
      type: object
      title: ScholarAuthorStats
      description: Right-rail citation stats table.
    ScholarCoAuthor:
      properties:
        author_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Author Id
        name:
          type: string
          title: Name
        affiliation:
          anyOf:
            - type: string
            - type: 'null'
          title: Affiliation
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
      type: object
      required:
        - name
      title: ScholarCoAuthor
      description: Co-author card shown on the author profile page.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````